/*Universal selector*/
*{
	font-weight: bolder;
}
/* type selector*/
h1{
	letter-spacing: 1.5em;
	text-align: center;
}
/*id selector*/
#first-paragraph{
	color: red;
}
p{
	color: blue;
}

.middle{
	font-size: 25px;
}

/*attribute selector*/
a[target]{
	text-decoration: none;
}

/*this is adjacent sibling selector*/
div + h2 {
	background-color: yellow;
}

/*general sibling selector*/
/*#general ~ a {
	font-size: 5em;
	color: white;
}*/

/*child selector*/
#ex > p {
	text-align: center;
	color: green;
}

/*descendant selector*/
ul li{
	letter-spacing: 0.5em;
	color: yellow;
}

/*multiple selector*/
h1,
#ex,
.hello{
	background-color: indianred;
}

/*pseudo link*/
a:link {
	color: red;
}

a:visited {
	background-color: black;
	color: white;
}

/*pseudo focus*/
.form-control:focus{
	background-color: yellow;
}

.square{
	background-color: grey;
	width: 100px;
	height: 100px;
}

/*pseudo hover*/
.square:hover{
background-color: yellow;
border-radius: 100%;
}

button{
	width: 300px;
	height: 100px;
	background-color: red;
}

button:active{
	background-color: blue;
	color: white;
}

#link-id{
	color: red;
}

.link-class{
	color: magenta;
}

a{
	color: yellow;
}